
<form [formGroup]="form" (ngSubmit)="register()">
  <mat-form-field>
    <input matInput type="email" placeholder="Email" formControlName="email">
    <mat-error *ngIf="form.get('email').invalid">
      Please enter a valid email address
    </mat-error>
  </mat-form-field>
  <mat-form-field>
    <input matInput type="password" placeholder="Password" formControlName="password">
    <mat-error *ngIf="form.get('password').invalid">
      Password invalid
    </mat-error>
  </mat-form-field>
  <mat-form-field>
    <input matInput type="password" placeholder="Repeat Password" formControlName="passwordRepeat">
    <mat-error *ngIf="form.get('passwordRepeat').invalid">
      Password doesn't match
    </mat-error>
  </mat-form-field>
  <button mat-fab color="primary" [disabled]="form.invalid">
    <mat-icon aria-label="add">add</mat-icon>
  </button>
</form>

{{feedback}}